<?php

namespace App\Http\Requests\Component;

use Illuminate\Foundation\Http\FormRequest;

class ComponentStore extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'name' => 'required',
            'description' => '',
            'content' => '',
            'component_type_id' => 'required',
        ];
    }
}
